Get target constraints
curl --request GET \
--url https://studio.edgeimpulse.com/v1/api/{projectId}/target-constraints \
--header 'x-api-key: <api-key>'import requests
url = "https://studio.edgeimpulse.com/v1/api/{projectId}/target-constraints"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/target-constraints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"error": "<string>",
"targetConstraints": {
"targetDevices": [
{
"processors": [
{
"part": "<string>",
"format": "low-end MCU",
"architecture": "Cortex-M",
"specificArchitecture": "Cortex-M0+",
"accelerator": "Arm Cortex-U55",
"fpu": true,
"clockRateMhz": {
"minimum": 123,
"maximum": 123
},
"memory": {
"ram": {
"fastBytes": {
"minimum": 123,
"maximum": 123
},
"slowBytes": {
"minimum": 123,
"maximum": 123
}
},
"rom": {
"fastBytes": {
"minimum": 123,
"maximum": 123
},
"slowBytes": {
"minimum": 123,
"maximum": 123
}
}
}
}
],
"board": "<string>",
"name": "<string>",
"latencyDevice": "cortex-m4f-80mhz"
}
],
"applicationBudgets": [
{
"latencyPerInferenceMs": {
"minimum": 123,
"maximum": 123
},
"energyPerInferenceJoules": {
"minimum": 123,
"maximum": 123
},
"memoryOverhead": {
"ram": {
"fastBytes": {
"minimum": 123,
"maximum": 123
},
"slowBytes": {
"minimum": 123,
"maximum": 123
}
},
"rom": {
"fastBytes": {
"minimum": 123,
"maximum": 123
},
"slowBytes": {
"minimum": 123,
"maximum": 123
}
}
}
}
]
}
}Get target constraints
Retrieve target constraints for a project. The constraints object captures hardware attributes of your target device, along with an application budget to allow guidance on performance and resource usage
GET
/
api
/
{projectId}
/
target-constraints
Get target constraints
Authorizations
ApiKeyAuthenticationJWTAuthenticationJWTHttpHeaderAuthenticationOAuth2
Path Parameters
Project ID
Was this page helpful?
⌘I